当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 安装软件时提示修复毁坏的软件包,怎么修复?
帖子发表于 : 2009-08-28 19:06 

注册: 2009-08-21 11:28
帖子: 28
送出感谢: 0 次
接收感谢: 0 次
我用sudo apt-get install -f 命令后,还是不能安装?


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 安装软件时提示修复毁坏的软件包,怎么修复?
帖子发表于 : 2009-08-28 22:38 

注册: 2008-11-09 22:49
帖子: 42
送出感谢: 0 次
接收感谢: 0 次
用新利得解决!


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 安装软件时提示修复毁坏的软件包,怎么修复?
帖子发表于 : 2009-08-28 22:41 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
还有sudo dpkg --configure -a
还有sudo apt-get --reinstall xxxx
如果还不行,需要重启进求援模式,dpkg修复损坏包。


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 安装软件时提示修复毁坏的软件包,怎么修复?
帖子发表于 : 2009-08-28 23:45 

注册: 2009-08-21 11:28
帖子: 28
送出感谢: 0 次
接收感谢: 0 次
gugulong 写道:
用新利得解决!

如何解决呢?
我弄了好久还是一样。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 安装软件时提示修复毁坏的软件包,怎么修复?
帖子发表于 : 2009-08-28 23:47 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
就是把损坏的包删除掉,再重装之。 :em04


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 安装软件时提示修复毁坏的软件包,怎么修复?
帖子发表于 : 2009-08-28 23:53 

注册: 2009-08-21 11:28
帖子: 28
送出感谢: 0 次
接收感谢: 0 次
wangdu2002 写道:
就是把损坏的包删除掉,再重装之。 :em04

上面显示没有损坏的.
怎么办?


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 安装软件时提示修复毁坏的软件包,怎么修复?
帖子发表于 : 2009-08-28 23:55 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
只有进恢复模式,dpkg搞定之。


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 安装软件时提示修复毁坏的软件包,怎么修复?
帖子发表于 : 2009-08-28 23:59 

注册: 2009-08-21 11:28
帖子: 28
送出感谢: 0 次
接收感谢: 0 次
我把rhythmbox给删除了,再安装的时候,出来
这个应用程序和已经安装的其他程序冲突。想要安装'rhythmbox' 冲突程序必须先删除。
切换到“新立得”包管理器来解决这个冲突
我再到新立得找到rhythmbox显示没安装
做标记安装时出现
hythmbox:
依赖: libgnome-keyring0 (>=2.25.90) 但是将会安装 2.22.2-0ubuntu1
依赖: libgpod4 但是此软件包将不会被安装
依赖: libgtk2.0-0 (>=2.16.0) 但是将会安装 2.12.9-3ubuntu4
依赖: libpopt0 (>=1.14) 但是将会安装 1.10-3build1
依赖: libtotem-plparser12 但是此软件包将不会被安装
依赖: libxcb-render-util0 但是此软件包将不会被安装
依赖: libxcb-render0 但是此软件包将不会被安装
依赖: libxcb1 (>=1.1.92) 但是将会安装 1.1-1ubuntu1
依赖: libxrandr2 (>=2:1.2.99.2) 但是将会安装 2:1.2.2-1

一直装不上


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译